import 'dart:ffi';

final class ToomossDeviceInfo extends Struct {
  @Array<Uint8>(32)
  external Array<Uint8> firmwareName;

  @Array<Uint8>(32)
  external Array<Uint8> buildDate;

  @Int32()
  external int hardwareVersion;//uint8或int报错，需要加前一行@Int32()注释

  @Int32()
  external int firmwareVersion;

  @Array<Int32>(3)
  external Array<Int32> serialNumber;

  @Int32()
  external int functions;
}